Skip to main content

Create Listing

POSThttps://api.propexo.com/crm/v1/listings/

Create a Listing for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    community_idstring

    The Propexo unique identifier for the community

    titlestring

    The title associated with the listing

    urlstring

    The url of the Craigslist listing. Must end with .html

    publish_datestring<date-time>

    The date the listing was published

    is_listedboolean

    Whether the listing is listed

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/listings/
curl -X POST https://api.propexo.com/crm/v1/listings/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}